Skip to main content
GET
List payouts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business to fetch payouts for

Query Parameters

external_id
string

Filter payouts by external ID (unique idempotency key). This will always yield zero or one result.

memo_contains
string

Filter payouts by memo content. Returns payouts where the memo contains this string (case-sensitive).

memo_exact
string

Filter payouts by exact memo match. Returns payouts where the memo exactly matches this string.

completed_at_start
string<date-time>

Filter payouts by completion date. Payouts completed on or after this date will be included. ISO 8601 date format.

completed_at_end
string<date-time>

Filter payouts by completion date. Payouts completed on or before this date will be included. ISO 8601 date format.

amount_min
integer<int64>

Filter payouts by minimum amount. Only payouts with amounts greater than or equal to this value will be included.

amount_max
integer<int64>

Filter payouts by maximum amount. Only payouts with amounts less than or equal to this value will be included.

reference_numbers
string

Comma-separated list of reference numbers to filter payouts by. Only payouts with reference numbers matching any value in this list will be returned.

is_matched
boolean

Filter payout by match status. If true, only matched payouts will be returned. If false, only unmatched payouts will be returned.

Response

id
string<uuid>

Unique ID for the Payout. Idempotency key.

external_id
string | null

Unique ID of the payout in your system for linking purposes.

Example:

"payout-1234"

business_id
string<uuid>

ID of the Business that generated the payout.

paid_out_amount
integer<int64>

The amount of the payout, in cents

fee
integer<int64>

The platform fee associated with the payout

processor
enum<string> | null

Processor used to make the payment, if any. If not null, every payment or refund associated with the payout must have the same processor

Available options:
STRIPE,
PAYPAL,
SHOPIFY,
ADYEN,
RAINFOREST
Example:

"STRIPE"

imported_at
string<date-time>

Timestamp of when the payout was imported

completed_at
string<date-time>

Timestamp of when the payout was completed

match
object

The transaction match associated with the payout

Example:
payments
object[]

A list of invoice payments associated with the payout

refunds
object[]

A list of refunds associated with the payout

transaction_tags
object[]

A list of tags associated with the payout

memo
string | null

Memo for any text you would like to associate with the payout (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the payout. Can be used to filter when listing payouts.